Package com.avaya.core

## Enum ConversationEventType

- java.lang.Object
- - java.lang.Enum<ConversationEventType>
  - - com.avaya.core.ConversationEventType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConversationEventType>`

      public enum ConversationEventType
      extends java.lang.Enum<ConversationEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONVERSATION_ADDED` | An event type indicating that the current user is now a participant of a new conversation.
    `CONVERSATION_READ` | An event type indicating that a member of the conversation (business, another participant or the current user) recently read the conversation.
    `CONVERSATION_REMOVED` | An event type indicating that the current user is no longer a participant of a conversation.
    `PARTICIPANT_ADDED` | An event type indicating that another participant has joined a conversation that the current user is a part of.
    `PARTICIPANT_REMOVED` | An event type indicating that another participant has left a conversation that the current user is a part of.
    `TYPING_START` | An event type indicating that another member of the conversation (business or participant) started typing a response.
    `TYPING_STOP` | An event type indicating that another member of the conversation (business or participant) stopped typing a response.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConversationEventType` | `findByValue​(java.lang.String value)` | Utility method to find the enum value of the provided string.
    `java.lang.String` | `getValue()` |
    `static ConversationEventType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConversationEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPING_START

          public static final ConversationEventType TYPING_START

      An event type indicating that another member of the conversation (business or participant) started typing a response.

    - #### TYPING_STOP

          public static final ConversationEventType TYPING_STOP

      An event type indicating that another member of the conversation (business or participant) stopped typing a response.

    - #### CONVERSATION_READ

          public static final ConversationEventType CONVERSATION_READ

      An event type indicating that a member of the conversation (business, another participant or the current user) recently read the conversation.

      This event type is triggered for the current user when the conversation is read on a different device.

    - #### CONVERSATION_ADDED

          public static final ConversationEventType CONVERSATION_ADDED

      An event type indicating that the current user is now a participant of a new conversation.

    - #### CONVERSATION_REMOVED

          public static final ConversationEventType CONVERSATION_REMOVED

      An event type indicating that the current user is no longer a participant of a conversation.

    - #### PARTICIPANT_ADDED

          public static final ConversationEventType PARTICIPANT_ADDED

      An event type indicating that another participant has joined a conversation that the current user is a part of.

    - #### PARTICIPANT_REMOVED

          public static final ConversationEventType PARTICIPANT_REMOVED

      An event type indicating that another participant has left a conversation that the current user is a part of.

  - ### Method Detail

    - #### values

          public static ConversationEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversationEventType c : ConversationEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversationEventType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### findByValue

          public static ConversationEventType findByValue​(java.lang.String value)

      Utility method to find the enum value of the provided string.
      Parameters:
        `value` - the input string
      Returns:
        a value of `ConversationEventType` if the provided value was valid, null otherwise